#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QQmlContext>
#include "screenselector.h"

int main(int argc, char *argv[])
{
     qputenv("QT_IM_MODULE", QByteArray("qtvirtualkeyboard"));

    ScreenSelector screenSelector;
    QGuiApplication app(argc, argv);

    QQmlApplicationEngine engine;
    engine.rootContext()->setContextProperty("screenSelector", &screenSelector);
    const QUrl url(QStringLiteral("qrc:/qmlscreens/main.qml"));

    engine.load(url);

    return app.exec();
}
